<form novalidate #myForm="ngForm">

    <kendo-grid [data]="view" [height]="450" [sort]="gridState.sort" [sortable]="true"
       (edit)="editHandler($event)" (cancel)="cancelHandler($event)"
      (save)="saveHandler($event)" (remove)="removeHandler($event)" (add)="addHandler($event, myForm)" [navigable]="true">
      <ng-template kendoGridToolbarTemplate>
        <div>
        <p class="f-21 f-bold pull-left">Edit Function</p>
        <div class="pull-right">
          <i class="material-icons pointer-cursor" (click)="onNoClick()">close</i>
        </div>
        <div class="clearfix"></div>
      </div>
        <div class="row">
          <div class="col-md-6 m-t-20">
  
            <span class="display-inline m-r-10 "> Select Funtion</span>
  
  
            <kendo-dropdownlist class="display-inline functionList-dropdown" [data]="EditFunctionList"
              [textField]="'name'" name='selectedFunction' [(ngModel)]="selectedFunction" [defaultItem]="defaultItem" [valueField]="'id'" [value]="'name'"
              [valuePrimitive]="true" (valueChange)="onEditFunctionChange($event)" [popupSettings]="{
                                              width: 50
                                          }" style="width:100%">
            </kendo-dropdownlist>
          </div>
          <div class="col-md-6 m-t-20">
            <button class="pull-right" *ngIf="btnAddNewRow" kendoGridAddCommand type="button">Add new row</button>
          </div>
          <div class="clearfix"></div>
  
        </div>
  
  
      </ng-template>
      <ng-template kendoGridToolbarTemplate>
  
  
      </ng-template>
      <kendo-grid-column field="searchFor" title="Search for">
        <ng-template kendoGridEditTemplate let-dataItem="dataItem" let-functioId="dataItem.functionId">
          <input [(ngModel)]="dataItem.searchFor" kendoGridFocusable name="Search For" class="k-textbox" required />
        </ng-template>
      </kendo-grid-column>
  
      <kendo-grid-column field="replaceWith" title="Replace with">
        <ng-template kendoGridEditTemplate let-dataItem="dataItem">
          <input [(ngModel)]="dataItem.replaceWith" kendoGridFocusable name="Replace With" class="k-textbox" required />
        </ng-template>
      </kendo-grid-column>
  
      <kendo-grid-command-column title="Action" width="220">
        <ng-template kendoGridCellTemplate let-isNew="isNew">
          <button kendoGridEditCommand type="button" [primary]="true">Edit</button>
          <button kendoGridRemoveCommand type="button">Delete</button>
          <button kendoGridSaveCommand type="button" [disabled]="myForm.invalid || myForm.pristine">
            {{ isNew ? 'Add' : 'Update' }} </button>
          <button kendoGridCancelCommand type="button">{{ isNew ? 'Discard changes' : 'Cancel' }}</button>
        </ng-template>
      </kendo-grid-command-column>
    </kendo-grid>
  </form>
  
